getLoadBalancerInstanceList

Prev Next

Available in VPC

View the list of load balancer instances based on the conditions the user specifies.

Request

The following describes the request format for the endpoint. The request format is as follows:

Method URI
GET /vloadbalancer/v2/getLoadBalancerInstanceList

Request headers

For information about the headers common to all Load Balancer APIs, see Load Balancer request headers.

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
regionCode String Optional Region code of the load balancer instance whose list you want to view
  • First Region of the getRegionList search result (default)
  • See getRegionList
vpcNo String Optional VPC number of the load balancer instance whose list you want to view
loadBalancerTypeCode String Optional Load balancer type
  • APPLICATION | NETWORK | NETWORK_PROXY
loadBalancerNetworkTypeCode String Optional Load balancer network type
  • PUBLIC | PRIVATE
loadBalancerInstanceNoList.N List[String] Optional List of numbers of the load balancer instances
  • loadBalancerInstanceNo can be obtained through getLoadBalancerInstanceList
  • <E.g.> loadBalancerInstanceNoList.1=1234&loadBalancerInstanceNoList.2=2345
pageNo Integer Optional Page number in paged results
pageSize Integer Conditional Number of results to display on a page
  • It is required when entering pageNo
sortList.N.sortedBy String Optional Sort by
  • loadBalancerName
    • loadBalancerName: load balancer name
  • <E.g.> sortList.1.sortedBy=loadBalancerName
sortList.N.sortingOrder String Optional Sort order
  • ASC (default) | DESC
    • ASC: ascending
    • DESC: descending
  • <E.g.> sortList.1.sortingOrder=DESC
responseFormatType String Optional Response result format
  • xml (default) | json

Request example

The following is a sample request.

curl --location 'https://ncloud.apigw.ntruss.com/vloadbalancer/v2/getLoadBalancerInstanceList?regionCode=KR&vpcNo=*****&loadBalancerTypeCode=APPLICATION&loadBalancerNetworkTypeCode=PRIVATE&loadBalancerInstanceNoList.1=********' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

The following describes the response format.

Response body

See LoadBalancerInstanceList for the response body.

Response status codes

For information about the HTTP status codes common to all Load Balancer APIs, see Load Balancer response status codes.

Response example

The following is a sample response.

<getLoadBalancerInstanceDetailResponse>
    <requestId>b946dee5-4699-43b8-8e85-2e409d689166</requestId>
    <returnCode>0</returnCode>
    <returnMessage>success</returnMessage>
    <totalRows>1</totalRows>
    <loadBalancerInstanceList>
        <loadBalancerInstance>
            <loadBalancerInstanceNo>********</loadBalancerInstanceNo>
            <loadBalancerInstanceStatus>
                <code>USED</code>
                <codeName>LB USED state</codeName>
            </loadBalancerInstanceStatus>
            <loadBalancerInstanceOperation>
                <code>NULL</code>
                <codeName>LB NULL OP</codeName>
            </loadBalancerInstanceOperation>
            <loadBalancerInstanceStatusName>Running</loadBalancerInstanceStatusName>
            <loadBalancerDescription></loadBalancerDescription>
            <createDate>2024-06-03T17:09:52+0900</createDate>
            <loadBalancerName>YOUR_LOAD_BALANCER</loadBalancerName>
            <loadBalancerDomain>***.com</loadBalancerDomain>
            <loadBalancerIpList>
                <loadBalancerIp>**.*.*.*</loadBalancerIp>
            </loadBalancerIpList>
            <loadBalancerType>
                <code>APPLICATION</code>
                <codeName>Application Load Balancer</codeName>
            </loadBalancerType>
            <loadBalancerNetworkType>
                <code>PRIVATE</code>
                <codeName>Private</codeName>
            </loadBalancerNetworkType>
            <throughputType>
                <code>SMALL</code>
                <codeName>Small</codeName>
            </throughputType>
            <idleTimeout>60</idleTimeout>
            <vpcNo>*****</vpcNo>
            <regionCode>KR</regionCode>
            <subnetNoList>
                <subnetNo>******</subnetNo>
            </subnetNoList>
            <loadBalancerSubnetList>
                <loadBalancerSubnet>
                    <zoneCode>KR-1</zoneCode>
                    <subnetNo>******</subnetNo>
                    <publicIpInstanceNo></publicIpInstanceNo>
                </loadBalancerSubnet>
            </loadBalancerSubnetList>
            <loadBalancerListenerNoList>
                <loadBalancerListenerNo>******</loadBalancerListenerNo>
            </loadBalancerListenerNoList>
        </loadBalancerInstance>
    </loadBalancerInstanceList>
</getLoadBalancerInstanceDetailResponse>